Patch Product Store
curl --request PATCH \
--url https://api.example.com/v1/product_store/{entity_id} \
--header 'Content-Type: application/json' \
--data '
{
"store_name": "<string>",
"country_code": "<string>",
"regular_price": 123,
"unit_cost": 123,
"stock_on_hand": 123,
"status": "<string>",
"tax_rate": 123,
"currency": "<string>",
"price_effective_date": "2023-12-25",
"item_id": "<string>",
"sku": "<string>",
"store_id": "<string>",
"current_price": 123
}
'import requests
url = "https://api.example.com/v1/product_store/{entity_id}"
payload = {
"store_name": "<string>",
"country_code": "<string>",
"regular_price": 123,
"unit_cost": 123,
"stock_on_hand": 123,
"status": "<string>",
"tax_rate": 123,
"currency": "<string>",
"price_effective_date": "2023-12-25",
"item_id": "<string>",
"sku": "<string>",
"store_id": "<string>",
"current_price": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
store_name: '<string>',
country_code: '<string>',
regular_price: 123,
unit_cost: 123,
stock_on_hand: 123,
status: '<string>',
tax_rate: 123,
currency: '<string>',
price_effective_date: '2023-12-25',
item_id: '<string>',
sku: '<string>',
store_id: '<string>',
current_price: 123
})
};
fetch('https://api.example.com/v1/product_store/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_id": "<string>",
"store_id": "<string>",
"store_name": "<string>",
"country_code": "<string>",
"regular_price": "<string>",
"unit_cost": "<string>",
"stock_on_hand": 123,
"status": "<string>",
"tax_rate": "<string>",
"currency": "<string>",
"price_effective_date": "2023-12-25",
"sku": "<string>",
"current_price": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}product_store
Patch Product Store
PATCH
/
v1
/
product_store
/
{entity_id}
Patch Product Store
Path Parameters
Body
application/json
Response
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$⌘I

